#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x850812a8, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x21419f26, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xc5c6f985, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x859539cb, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0xa88d5f28, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x3a2b39ec, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xf5bd7d59, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x24c6a21b, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x1cfdf2a9, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0x5c0f576c, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x6cb9dbaf, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfab1ca34, "of_find_matching_node_and_match" },
	{ 0x10cda86a, "of_property_read_bool" },
	{ 0x4ca0d87c, "of_get_child_by_name" },
	{ 0x8ec9554d, "of_device_is_available" },
	{ 0xd77f77f1, "__of_parse_phandle_with_args" },
	{ 0xc7f299d3, "of_node_put" },
	{ 0x8df0098b, "pci_bus_type" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0x06436def, "pci_save_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x037a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x301da9fb, "pci_disable_msi" },
	{ 0x01453339, "pci_disable_msix" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x042c01f7, "cdev_init" },
	{ 0x23c47598, "cdev_add" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x81a64b99, "__kmem_cache_create_args" },
	{ 0x1916c905, "kmem_cache_destroy" },
	{ 0xfa31bb2d, "cdev_del" },
	{ 0x9d41a636, "kmem_cache_free" },
	{ 0x1734c57c, "kmalloc_caches" },
	{ 0x161a1c4c, "__kmalloc_cache_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0xfb42af7d, "kmem_cache_alloc_noprof" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcbebaaf4, "address_space_init_once" },
	{ 0x53b954a2, "up_read" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xdd693569, "pci_stop_and_remove_bus_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x668b19a1, "down_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf7f0cd79, "dma_set_mask" },
	{ 0x3922cedd, "dma_set_coherent_mask" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeda9228f, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xae57a323, "fget" },
	{ 0xee582a75, "fput" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x52892f59, "iterate_fd" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x6b2747a2, "iov_iter_kvec" },
	{ 0x93baca8f, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa700860b, "device_property_read_u64_array" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1e0e6fc0, "param_ops_charp" },
	{ 0x5eb04e99, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd6a51508, "pci_enable_device" },
	{ 0x05f7c281, "pci_find_capability" },
	{ 0x85bd1608, "__request_region" },
	{ 0x4d45424b, "pci_rebar_get_possible_sizes" },
	{ 0x035620e3, "pci_find_host_bridge" },
	{ 0xcb94afcd, "pci_read_config_word" },
	{ 0x942584f9, "pci_write_config_word" },
	{ 0xae947eba, "pci_release_resource" },
	{ 0xde62eb78, "pci_assign_unassigned_bus_resources" },
	{ 0xff732937, "pci_resize_resource" },
	{ 0x9cfccd27, "pci_ats_supported" },
	{ 0x6f6a951d, "pci_set_master" },
	{ 0xe56f9521, "vga_set_legacy_decoding" },
	{ 0xf2812f46, "pm_vt_switch_required" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x70cddaaf, "filp_open" },
	{ 0xa041f3ac, "filp_close" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x295b9d50, "pci_disable_device" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0xb5debf91, "pm_vt_switch_unregister" },
	{ 0x69907c9f, "pci_read_config_byte" },
	{ 0x6a068be3, "pci_get_class" },
	{ 0x8a63c48e, "pci_unregister_driver" },
	{ 0x5c4d932a, "__pci_register_driver" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x66bbce8e, "dma_unmap_sg_attrs" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xcc88c328, "dma_map_sg_attrs" },
	{ 0xcd2d6184, "dma_buf_get" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xcb9eab9a, "dma_buf_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xccb6a262, "dma_buf_export" },
	{ 0xfcd1679e, "dma_buf_fd" },
	{ 0x5cffd5cf, "dma_buf_attach" },
	{ 0xc8c84f1b, "dma_buf_map_attachment" },
	{ 0x20344e8a, "dma_buf_detach" },
	{ 0xc622b34d, "dma_buf_unmap_attachment" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x76224363, "is_acpi_device_node" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0x78ed3362, "sg_alloc_table_from_pages_segment" },
	{ 0x6167381d, "node_states" },
	{ 0x4f33c6cb, "node_data" },
	{ 0x8a5f6fb7, "dma_map_page_attrs" },
	{ 0x4d391581, "dma_unmap_page_attrs" },
	{ 0xf90e79a1, "pcibios_resource_to_bus" },
	{ 0x06b4e05f, "__dma_sync_sg_for_device" },
	{ 0x30dab6fe, "__dma_sync_single_for_device" },
	{ 0x86669898, "try_module_get" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4262f0cc, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xcd3be319, "i2c_add_adapter" },
	{ 0xbda362d8, "i2c_del_adapter" },
	{ 0x7849c3de, "vmf_insert_pfn_prot" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x0eca48d2, "prot_ns_shared" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x86b11719, "remap_pfn_range" },
	{ 0x01d4a0a2, "__vma_start_write" },
	{ 0xce62368b, "vm_insert_page" },
	{ 0x1b562a76, "unmap_mapping_range" },
	{ 0xca3a22cb, "single_release" },
	{ 0xd3d7f9f6, "single_open" },
	{ 0x37413530, "__seq_puts" },
	{ 0xee3f76af, "seq_printf" },
	{ 0xd38098f6, "seq_read" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x061651be, "strcat" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x76b03e57, "proc_create_data" },
	{ 0x1354be14, "proc_mkdir_mode" },
	{ 0x11a6c594, "proc_remove" },
	{ 0xfdb6ef78, "seq_lseek" },
	{ 0x8ece5e99, "dma_alloc_attrs" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x618911fc, "numa_node" },
	{ 0xe1e5906e, "__alloc_pages_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xfe73f621, "dma_free_attrs" },
	{ 0x551667fc, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x9166fada, "strncpy" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0x08c78cf7, "offline_and_remove_memory" },
	{ 0x01000e51, "schedule" },
	{ 0x00148653, "vsnprintf" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0xa339e6e5, "on_each_cpu_cond_mask" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe8a02608, "efi" },
	{ 0x62eec1d5, "panic" },
	{ 0xf8927f58, "__free_pages" },
	{ 0x99ae90f1, "__folio_put" },
	{ 0x5dd467e0, "kernel_write" },
	{ 0x4c566431, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x0a770832, "register_memory_notifier" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x7918d817, "memory_failure" },
	{ 0x6d441a1d, "get_task_pid" },
	{ 0x8b6a6a06, "put_pid" },
	{ 0x6125e6e3, "pid_vnr" },
	{ 0x49e8570a, "task_active_pid_ns" },
	{ 0x395eeb77, "init_pid_ns" },
	{ 0x4e804297, "find_vma_intersection" },
	{ 0x8ac682b1, "follow_pfnmap_start" },
	{ 0x6e36ce38, "follow_pfnmap_end" },
	{ 0xd719dbe7, "pin_user_pages" },
	{ 0x9ec73ed4, "unpin_user_page" },
	{ 0xecb5e21e, "set_page_dirty_lock" },
	{ 0x9bb6b1f3, "pci_get_domain_bus_and_slot" },
	{ 0xc7bf4933, "pci_dev_put" },
	{ 0x62fe2df4, "pci_read_config_dword" },
	{ 0x9b55a1bc, "pci_write_config_byte" },
	{ 0x0bf76540, "pci_write_config_dword" },
	{ 0x3830066a, "pci_enable_atomic_ops_to_root" },
	{ 0x8accddf3, "pcie_capability_read_word" },
	{ 0x8868dbbc, "pcie_reset_flr" },
	{ 0x5280dee7, "pci_restore_state" },
	{ 0x2152ae4c, "param_ops_int" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xaa6bfc4a, "kthread_stop" },
	{ 0x7d9844a7, "kthread_create_on_node" },
	{ 0xbe3e74ae, "vmalloc_to_page" },
	{ 0x0ebf8820, "wake_up_process" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xd47da952, "pci_enable_msi" },
	{ 0xb78d2115, "pci_enable_msix_range" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3589c425, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe889991d, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3543605d, "class_create" },
	{ 0x64894d8d, "device_create" },
	{ 0x2d6a3586, "class_destroy" },
	{ 0xdc187960, "device_destroy" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xe019cf61, "pci_iounmap" },
	{ 0x06734be1, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xfc936b85, "pci_request_regions" },
	{ 0x83bac05f, "pci_iomap" },
	{ 0x349cba85, "strchr" },
	{ 0x67fb3b25, "__dma_sync_single_for_cpu" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x550d3498, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-display");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-displayC*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "D0BB74CF4F36BE19C58362D");
